Page MenuHomePhabricator

Clarify that the (each) category field doesn't accept a list of categories
Closed, InvalidPublic

Description

Author: saibotrash

Description:
Since Bug 24704 did get closed without addressing the problems (wtf?!)... Here it is:

it is not clear that there should only be entered one category in the
field. In fact the heading over it says "Kategorien" (categories) but only
one field is visible. I saw one entering a comma-separated list in there...

Put a bullet (<ul>) or something in front of the cat fields to show that this
is a vertical list of cats.


Version: unspecified
Severity: enhancement

Details

Reference
bz37124

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:23 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz37124.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 26 2012, 1:05 AM

There's a link below the button saying "Add another category", autocompletion of the category name, and an indicator "This category will be created" when you type the name of a category that doesn't exist. All these are subtle affordances that you're dealing with an atomic category addition. It's possible that it's still confusing, but I'm not convinced it's a significant issue. Please point to examples of users being confused by it (if other users experience the current UI as confusing, please point it out here).

saibotrash wrote:

I cannot give you examples (also due to the fact that I am not anymore active at Commons). I think I saw once some anyhow.

I agree with Erik. Also adding bullets isn't going to make it any better

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:07 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:07 PM
matmarex closed this task as Invalid.Sep 30 2015, 5:06 PM
matmarex claimed this task.
matmarex added a subscriber: matmarex.

The UI was changed with T112764 and this is no longer relevant. (See screenshots there.)